%define upstream_name    Email-Folder
%define upstream_version 0.860

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Reads raw RFC822 mails from a maildir
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Email::FolderType) >= 0.600.0
BuildRequires: perl(Email::Simple)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::File)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
It's yet another email folder reader! It reads MH folders.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.860.0-5.mga9
+ Revision: 1803435
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.860.0-4.mga8
+ Revision: 1494427
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.860.0-3.mga7
+ Revision: 1267842
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.860.0-2.mga6
+ Revision: 1026901
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.860.0-1.mga6
+ Revision: 1001881
- update to 0.860

* Thu Feb 18 2016 umeabot <umeabot> 0.859.0-2.mga6
+ Revision: 966843
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.859.0-1.mga6
+ Revision: 846937
- update to 0.859

* Wed Oct 15 2014 umeabot <umeabot> 0.858.0-3.mga5
+ Revision: 751249
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.858.0-2.mga5
+ Revision: 684617
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 0.858.0-1.mga5
+ Revision: 587442
- update to 0.858

* Sat Oct 19 2013 umeabot <umeabot> 0.857.0-2.mga4
+ Revision: 531583
- Mageia 4 Mass Rebuild

* Tue Aug 06 2013 sander85 <sander85> 0.857.0-1.mga4
+ Revision: 464189
- update to 0.857

* Sun Jan 13 2013 umeabot <umeabot> 0.855.0-2.mga3
+ Revision: 366778
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 jquelin <jquelin> 0.855.0-1.mga2
+ Revision: 111320
- imported package perl-Email-Folder


* Tue Jun 21 2011 cpan2dist 0.855-1mga
- initial mageia release, generated with cpan2dist
